Package com.sap.ai.sdk.core.model

# Class AiLabel

java.lang.Object
com.sap.ai.sdk.core.model.AiLabel

public class AiLabel extends Object
AiLabel

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiLabel.Builder`
  Builder helper class.
  `static interface`
  `AiLabel.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiLabel()`
  Default constructor for AiLabel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AiLabel.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiLabel` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiLabel`.
  `String`
  `getKey()`
  Get key
  `String`
  `getValue()`
  Get value
  `int`
  `hashCode()`
  `AiLabel`
  `key(String key)`
  Set the key of this `AiLabel` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiLabel` instance.
  `void`
  `setKey(String key)`
  Set the key of this `AiLabel` instance.
  `void`
  `setValue(String value)`
  Set the value of this `AiLabel` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiLabel` instance including unrecognized properties.
  `String`
  `toString()`
  `AiLabel`
  `value(String value)`
  Set the value of this `AiLabel` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiLabel

    protected AiLabel()
    Default constructor for AiLabel.

- ## Method Details

  - ### key

    @Nonnull public AiLabel key(@Nonnull String key)
    Set the key of this `AiLabel` instance and return the same instance.
    Parameters:
      `key` - The key of this `AiLabel`
    Returns:
      The same instance of this `AiLabel` class

  - ### getKey

    @Nonnull public String getKey()
    Get key
    Returns:
      key The key of this `AiLabel` instance.

  - ### setKey

    public void setKey(@Nonnull String key)
    Set the key of this `AiLabel` instance.
    Parameters:
      `key` - The key of this `AiLabel`

  - ### value

    @Nonnull public AiLabel value(@Nonnull String value)
    Set the value of this `AiLabel` instance and return the same instance.
    Parameters:
      `value` - The value of this `AiLabel`
    Returns:
      The same instance of this `AiLabel` class

  - ### getValue

    @Nonnull public String getValue()
    Get value
    Returns:
      value The value of this `AiLabel` instance.

  - ### setValue

    public void setValue(@Nonnull String value)
    Set the value of this `AiLabel` instance.
    Parameters:
      `value` - The value of this `AiLabel`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiLabel`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiLabel` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiLabel` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiLabel` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiLabel.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiLabel` instance with all required arguments.